/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli;

import org.apache.commons.cli.Option;

public final class Constants {

    private Constants() {
        // No constructor because it's an utility class
    }

    public static final class CommonOption {

        public static final String BULK_SHORT_OPTION = "b";

        public static final String BULK_LONG_OPTION = "bulk";

        public static final String ARTIFACT_MANAGMENT_USAGE = "-u <url> | -a <artifact-type> <artifact-id>";

        public static final String URL_SHORT_OPTION = "u";

        public static final String URL_LONG_OPTION = "url";

        public static final Option URL_OPTION = Option.builder(URL_SHORT_OPTION).numberOfArgs(1)
                .longOpt(URL_LONG_OPTION).argName("url")
                .desc("The local file name or the URL of the artifact to process.").build();

        private CommonOption() {
            // No constructor because it's an utility class
        }
    }

    public static final class CommandMessages {

        public static final String UNRECOGNIZED_OPTION = "Unrecognized option: -%s";

        public static final String MISSING_USERNAME_AND_PASSWORD = "The username and password are missing for this alias";

        private CommandMessages() {
            // No constructor because it's an utility class
        }

    }
}
