/**
 * Copyright (c) 2016-2017 Linagora
 *
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

import org.ow2.petals.admin.api.PetalsAdministration;
import org.ow2.petals.cli.api.command.AbstractCommand;
import org.ow2.petals.cli.shell.util.PetalsAdminWrapper;

/**
 * TODO factorise with AbstractMonitoringSubFunction and AbstractSubscriptionObject: this should go in a petals-cli-api
 * (not the actual petals-cli-api, which should be called petals-cli-base-api)
 *
 */
public abstract class AbstractPetalsCliCommand extends AbstractCommand {

    private PetalsAdminWrapper adminWrapper;

    public AbstractPetalsCliCommand() {
        super();
    }

    public AbstractPetalsCliCommand(final String cmdName) {
        super(cmdName);
    }

    protected PetalsAdminWrapper getAdminWrapper() {
        if (adminWrapper == null) {
            if (getShell() == null) {
                throw new IllegalStateException(
                        "This can't be called in the constructor since the shell is set after construction");
            }
            this.adminWrapper = new PetalsAdminWrapper(getShell());
        }
        return adminWrapper;
    }

    protected PetalsAdministration getAdmin() {
        return getAdminWrapper().getAdmin();
    }
}
