/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.completer;

import org.ow2.petals.admin.api.ArtifactAdministration;
import org.ow2.petals.admin.api.artifact.Artifact;
import org.ow2.petals.admin.api.artifact.ArtifactState;
import org.ow2.petals.admin.api.artifact.ArtifactState.State;

public abstract class StateArtifactNameCompleter extends FileteredArtifactNameCompleter {

    public StateArtifactNameCompleter(final ArtifactAdministration artifactAdministration) {
        super(artifactAdministration);
    }

    @Override
    protected boolean acceptArtifact(final Artifact artifact) {
        final boolean result;
        if (artifact instanceof ArtifactState) {
            final ArtifactState artifactState = (ArtifactState) artifact;
            return this.isAnExpectedState(artifactState.getState());
        } else {
            result = false;
        }

        return result;
    }

    protected abstract boolean isAnExpectedState(final State currentState);
}
