/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.junit;

/**
 * A Java bean associated to an alias.
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class Alias {

    private final String aliasName;

    private String hostName = null;

    private String port = null;

    private String jmxUser = null;

    private String jmxPwd = null;

    private String passPhrase = null;

    private final boolean isDefaultAlias;

    public Alias(final String aliasName) {
        this(aliasName, false);
    }

    public Alias(final String aliasName, final boolean isDefaultAlias) {
        this.aliasName = aliasName;
        this.isDefaultAlias = isDefaultAlias;
    }

    public String getHostName() {
        return this.hostName;
    }

    public Alias setHostName(final String hostName) {
        this.hostName = hostName;
        return this;
    }

    public String getPort() {
        return this.port;
    }

    public Alias setPort(final String port) {
        this.port = port;
        return this;
    }

    public String getJmxUser() {
        return this.jmxUser;
    }

    public Alias setJmxUser(final String jmxUser) {
        this.jmxUser = jmxUser;
        return this;
    }

    public String getJmxPwd() {
        return this.jmxPwd;
    }

    public Alias setJmxPwd(final String jmxPwd) {
        this.jmxPwd = jmxPwd;
        return this;
    }

    public String getPassPhrase() {
        return this.passPhrase;
    }

    public Alias setPassPhrase(final String passPhrase) {
        this.passPhrase = passPhrase;
        return this;
    }

    public String getAliasName() {
        return this.aliasName;
    }

    public boolean isDefaultAlias() {
        return this.isDefaultAlias;
    }

}
