/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

import org.junit.Before;
import org.ow2.petals.admin.api.exception.ContainerAdministrationException;
import org.ow2.petals.admin.topology.Container.PortType;
import org.ow2.petals.cli.AbstractCliTest;

public abstract class AbstractShellTest extends AbstractCliTest {

    protected DummyShellWrapper dummyShellWrapper;

    @Before
    public void setUpShell() {
        this.dummyShellWrapper = new DummyShellWrapper();
    }

    protected void connectShell(String host, int port, String user, String password)
            throws ContainerAdministrationException {
        this.dummyShellWrapper.getAdmin().connect(host, port, user, password);
        this.dummyShellWrapper.getShell().onConnectionEstablished();
    }

    protected void connectShell() throws ContainerAdministrationException {
        connectShell(container.getHost(), container.getPorts().get(PortType.JMX), container.getJmxUsername(),
                container.getJmxPassword());
    }
}
