/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

import org.ow2.petals.admin.api.PetalsAdministration;
import org.ow2.petals.cli.api.shell.ShellExtension;
import org.ow2.petals.cli.shell.AbstractShell;
import org.ow2.petals.cli.shell.extension.PetalsAdminShellExtension;

/**
 * 
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * 
 */
public class DummyShellWrapper {

    private final ByteArrayOutputStream out;

    private final ByteArrayOutputStream err;

    private final AbstractShell shell;

    private final PetalsAdminShellExtension adminSE;

    public DummyShellWrapper() {
        out = new ByteArrayOutputStream();
        err = new ByteArrayOutputStream();
        adminSE = new PetalsAdminShellExtension();
        shell = new AbstractShell(new PrintStream(out), new PrintStream(err), false, false, null,
                new ShellExtension[] { adminSE }, null) {
            @Override
            public void run() {
                throw new RuntimeException("I'm dummy. I can not run anything");
            }
        };
    }

    public PetalsAdministration getAdmin() {
        return adminSE.getAdmin();
    }

    public AbstractShell getShell() {
        return shell;
    }

    public ByteArrayOutputStream getOut() {
        return out;
    }

    public ByteArrayOutputStream getErr() {
        return err;
    }
}
